//
//  GoogleEarthMan.h
//  BTGoogleMaps
//
//  Created by Brian on 6/16/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GoogleMapsShared.h"


@interface GoogleEarthMan : NSObject {

	NSString *kmlFile;
	GoogleMapAddress *startPerson;
	NSString *startAddress;
	GoogleMapAddress *endPerson;
	NSString *endAddress;
	
}

+ (BOOL)googleEarthInstalled;
+ (NSString *)googleEarthAppName;

+ (GoogleEarthMan *)googleEarth;

- (void)setKMLFilename:(NSString *)filename;
- (NSString *)KMLFilename;

- (void)setStartPerson:(GoogleMapAddress *)person;
- (void)setStartString:(NSString *)address;
- (void)setEndPerson:(GoogleMapAddress *)person;
- (void)setEndString:(NSString *)address;

- (void)launchGoogleEarth;

@end
